Bug 483869 - tftp file download failure, tftpd: read(ack): Connection refused
tftp file download failure, tftpd: read(ack): Connection refused
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tftp (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 20:44 EST by Andreas Ott
Modified: 2014-11-09 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 09:21:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Ott 2009-02-03 20:44:05 EST
Description of problem:cannot download file via tftp


Version-Release number of selected component (if applicable):
tftp-server-0.48-6.fc10.x86_64
tftp-0.48-6.fc10.x86_64


How reproducible:
always

Steps to Reproduce:
1. file on tftp server is at D.E.F.4, client is at A.B.C.4
-rw-r--r-- 1 root root 14137344 2008-10-13 11:34 /tftpboot/asa804-k8.bin

2. connect from client to tftp server and issue a 'get <filename>'

3. tcpdump and syslog on server reports

Feb  3 17:36:44 inventory in.tftpd[13644]: RRQ from A.B.C.68 filename asa804-k8.bin
Feb  3 17:36:44 inventory in.tftpd[13644]: tftpd: read(ack): Connection refused
17:36:56.036836 IP A.B.C.68.50292 > D.E.F.4.tftp:  22 RRQ "asa804-k8.bin" octet
Feb  3 17:36:56 inventory in.tftpd[13667]: RRQ from A.B.C.68 filename asa804-k8.bin
Feb  3 17:36:56 inventory in.tftpd[13667]: tftpd: read(ack): Connection refused

  
Actual results:
failure to download

Expected results:
tftp download works

Additional info:

we have exlcuded...
* any network problems external to the server
* iptables (did a -F while debugging)
* file permissions
* tried different command line options in /etc/xinetd.conf/tftp , such as
  binding it to the IP address, setting Blocksize, increase log verbosity, 

I can do the filetransfer from localhost on the server by connecting to port 69.

I can upload files via tftp to this server just fine.
Comment 1 Andreas Ott 2009-02-05 01:43:30 EST
today the search for in.tftpd brought up more then zarro hits in bugzilla: my
issue looks very similar to what is described in bug #452678 . Reading there,
it was impossible to reproduce on the developer system. Please advise what
additional debug information I should gather.
Comment 2 Jiri Skala 2009-04-14 04:14:05 EDT
Hi,
did you use described configuration with previous release of tftp? If yes, what about previous release of inet?

Regards Jiri
Comment 3 Gabriel Gomez 2009-07-23 07:25:03 EDT
I have the same problem with tftp-server-0.49-3.fc11 (i586), even when iptables isn't running. 

I can see this traces in the system logs:

xinetd[10224]: START: tftp2 pid=14580 from=192.168.0.12
in.tftpd[11013]: RRQ from 192.168.0.12 filename hello.txt
in.tftpd[11013]: tftpd: read(ack): Connection refused

I have checked file permissions, and I can download the file from localhost.

In every transaction, I obtain traces like these with tcpdump:

13:10:18.796395 IP (tos 0x0, ttl 64, id 0, offset 0, flags [DF], proto UDP (17), length 51) 192.168.0.13.2194 > 192.168.0.11.tftp: [udp sum ok] UDP, length 23
13:10:18.797528 IP (tos 0x0, ttl 64, id 15063, offset 0, flags [none], proto UDP (17), length 72) 192.168.0.11.47378 > 192.168.0.13.2194: [udp sum ok] UDP, length 44
13:10:19.798634 IP (tos 0x0, ttl 64, id 15066, offset 0, flags [none], proto UDP (17), length 72) 192.168.0.11.47378 > 192.168.0.13.2194: [udp sum ok] UDP, length 44
13:10:21.800745 IP (tos 0x0, ttl 64, id 15067, offset 0, flags [none], proto UDP (17), length 72) 192.168.0.11.47378 > 192.168.0.13.2194: [udp sum ok] UDP, length 44
13:10:25.803036 IP (tos 0x0, ttl 64, id 15068, offset 0, flags [none], proto UDP (17), length 72) 192.168.0.11.47378 > 192.168.0.13.2194: [udp sum ok] UDP, length 44
13:10:25.806764 IP (tos 0xc0, ttl 64, id 34948, offset 0, flags [none], proto ICMP (1), length 100) 192.168.0.13 > 192.168.0.11: ICMP 192.168.0.13 udp port 2194 unreachable, length 80
	IP (tos 0x0, ttl 64, id 15068, offset 0, flags [none], proto UDP (17), length 72) 192.168.0.11.47378 > 192.168.0.13.2194: UDP, length 44

I hope you can find the problem.

Thanks in advance.
Comment 4 Gabriel Gomez 2009-07-29 08:32:50 EDT
Hi,

I solved my problem. It was a problem in the configuration of my firewall. TFTP server is running right.

Regards.

Note You need to log in before you can comment on or make changes to this bug.